[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# FindGlobalComponent

Callback used when a component must be found.

## Declaration

Source position: classesh.inc line 2037

`function FindGlobalComponent(`
`const Name: string`
`):TComponent;`

## Description

FindGlobalComponent is a callback of type TFindGlobalComponent. It can be set by the IDE when an unknown reference is found, to offer the user to redirect the link to a new component.

It is a callback used to find a component in a global scope. It is used when the streaming system needs to find a component which is not part of the component which is currently being streamed. It should return the component with name Name, or Nil if none is found.

## See also

TFindGlobalComponent |  | Callback type to search for a component.

Documentation generated on: Feb 26 2014